#!/usr/bin/env python
import coral ; metamodel=coral.lang.UML14
m = metamodel.Model()

print m.get_ref_count()
t = m.ownedElement.__iter__()

print "This should be 1: ", t.get_ref_count()
assert(t.get_ref_count() == 1)
